## SmallBASIC%20V0.8.2b%20%28CN%29.zip

=== translator/Makefile ===
CLASSPATH:="/home/chris/antlr/antlr-3.1.2/lib/antlr-3.1.2.jar:."

all: Translator.class

Translator.class: Translator.java SBLexer.java
	javac -cp ${CLASSPATH} Translator.java

SBLexer.java : SB.g
	java -cp ${CLASSPATH} org.antlr.Tool SB.g

test1: Translator.class
	java -cp ${CLASSPATH} Translator tc1.bas

test2: Translator.class
	java -cp ${CLASSPATH} Translator tc2.bas

test3: Translator.class
	java -cp ${CLASSPATH} Translator tc3.bas

=== src/modules/flite/Makefile ===
# SmallBASIC for eBookMan - Flite module
# Copyright(C) 2004 Chris Warren-Smith. Gawler, South Australia
# cwarrens@twpo.com.au
#
#                  _.-_:\
#                 /      \
#                 \_.--*_/
#                       v
#
# This program is distributed under the terms of the GPL v2.0 or later
# Download the GNU Public License (GPL) from www.gnu.org
# 

TOP=/c/src_3/flite/flite-1.2-release

flite_LIBS = flite_$(FL_VOX) flite_$(FL_LANG) flite_$(FL_LEX) 
flite_LIBS_flags = -L$(LIBDIR) $(flite_LIBS:%=-l%)
flite_LIBS_deps = $(flite_LIBS:%=$(LIBDIR)/lib%.a)

include $(TOP)/config/common_make_rules

CC = gcc
CINC=-I$(TOP)/include -I$(TOP)/lang/$(FL_VOX) -I../.. -I.
CFLAGS=-Wall -fPIC -D_UnixOS $(CINC)
MODULE_DIR=/usr/local/lib/sbasic/modules
CLIBS = -lm -lgcc -s -shared
TARGET=flite12.dll

cygwin: CFLAGS = -O2 -Os -Wall -D_UnixOS -D_CygWin $(CINC)

all: $(MODULE_DIR)/${TARGET}
cygwin: $(MODULE_DIR)/${TARGET}

SRC= flite.c
OBJS = $(addsuffix .o, $(basename $(SRC)))

%.o: %.c
	$(CC) $(CFLAGS) -c $<

$(MODULE_DIR)/${TARGET}: $(OBJS) $(FLITELIBS) $(flite_LIBS_deps)
	$(CC) ${CLIBS} -Wl,-soname,${TARGET} -o ${TARGET} $(OBJS) $(flite_LIBS_flags) $(LDFLAGS)

clean:
	-rm -f *.so *.o $(MODULE_DIR)/*.so $(MODULE_DIR)/*.dll

install: ${TARGET}
	-mkdir -p $(MODULE_DIR)
	cp ${<} $(MODULE_DIR)

###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                        Copyright (c) 2001                             ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################

=== src/modules/gdbm/Makefile ===
# Linux settings

MODNAME=gdbm
MODLIBS=-lgdbm
MODIDIR=/usr/lib/sbasic/modules

CINC=-I../..
CFLAGS=-Wall -fPIC $(CINC) -D_UnixOS -DLNX_EXTLIB

all: $(MODIDIR)/$(MODNAME).so

$(MODIDIR)/$(MODNAME).so: $(MODNAME).c
	-mkdir -p $(MODIDIR)
	gcc $(CFLAGS) -c $(MODNAME).c -o $(MODNAME).o
	gcc -shared -Wl,-soname,$(MODNAME).so -o $(MODNAME).so $(MODNAME).o $(MODLIBS)
	mv $(MODNAME).so $(MODIDIR)
	ldconfig -n $(MODIDIR)

clean:
	-rm -f *.so *.o $(MODIDIR)/$(MODNAME).so

=== src/gtk/debian/changelog ===
sbasic (0.9.7.3) unstable; urgency=low

  * Added GRID button support

 -- Chris Warren-Smith <cwarrensmith@gmail.com>  Tue, 26 Jul 2006 18:34:00 +0930

sbasic (0.9.7.2) unstable; urgency=low

  * Updated for Maemo 2.

 -- Chris Warren-Smith <cwarrensmith@gmail.com>  Tue, 27 Jun 2006 18:34:00 +0930

sbasic (0.9.7.1) unstable; urgency=low

  * Initial Release.

 -- Chris Warren-Smith <cwarrensmith@gmail.com>  Sat, 04 Mar 2006 18:34:00 +0930

=== src/gtk/debian/control ===
Source: sbasic
Section: user/office
Priority: optional
Maintainer: Chris Warren-Smith <cwarrensmith@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: sbasic
Architecture: any
Description: SmallBASIC is designed to be a simple, lightweight programming environment for experimentation, featuring strong mathematical and high level graphics commands.

=== src/gtk/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
PACKAGENAME = sbasic

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-gtk


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/var/lib/install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
